Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 296618 - app-crypt/kstart: fails with _FORTIFY_SOURCE=2
Summary: app-crypt/kstart: fails with _FORTIFY_SOURCE=2
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Kerberos Maintainers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: fortify-source
  Show dependency tree
 
Reported: 2009-12-12 14:07 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2010-06-06 01:08 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (kstart-3.14-r1:20091211-235854.log,12.04 KB, text/plain)
2009-12-12 14:08 UTC, Diego Elio Pettenò (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2009-12-12 14:07:43 UTC
The package in subject fails with gcc 4.3.3-r1 and modern glibc because of _FORTIFY_SOURCE=2 set by default.

Thanks,
Diego
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2009-12-12 14:08:53 UTC
Created attachment 212776 [details]
Build log
Comment 2 Michael Hammer (RETIRED) gentoo-dev 2010-01-12 12:26:05 UTC
Issue fixed in new release 3.15. I've to wait a few days to go stable with it.
Comment 3 Samuli Suominen gentoo-dev 2010-06-06 01:08:30 UTC
(In reply to comment #2)
> Issue fixed in new release 3.15. 

good

> I've to wait a few days to go stable with it.

there is no previous stable, so i've simply punted the broken version from tree. no reason to keep this bug open.